classification
Title: Update the stdlib to fall back to __spec__.loader if __loader__ isn't defined
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.10
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: brett.cannon
Priority: normal Keywords: patch

Created on 2020-10-23 22:46 by brett.cannon, last changed 2020-11-09 21:18 by brett.cannon. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 22929 merged brett.cannon, 2020-10-23 22:54
Messages (2)
msg379486 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2020-10-23 22:46
By making sure the stdlib can handle the case where __loader__ isn't defined but __spec__.parent is, eventually the former could be dropped for the latter.
msg380491 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2020-11-07 02:46
New changeset 825ac383327255d38b69a753e5e41710bb3ed010 by Brett Cannon in branch 'master':
bpo-42133: update parts of the stdlib to fall back to `__spec__.loader` when `__loader__` is missing (#22929)
https://github.com/python/cpython/commit/825ac383327255d38b69a753e5e41710bb3ed010
History
Date User Action Args
2020-11-09 21:18:14brett.cannonsetstatus: open -> closed
stage: patch review -> resolved
resolution: fixed
title: Update the stdlib to fall back to __spec__.parent if __loader__ isn't defined -> Update the stdlib to fall back to __spec__.loader if __loader__ isn't defined
2020-11-07 02:46:03brett.cannonsetmessages: + msg380491
2020-10-23 22:54:46brett.cannonsetkeywords: + patch
stage: patch review
pull_requests: + pull_request21851
2020-10-23 22:46:40brett.cannoncreate